using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_DH_NeiRongGuanLi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("内容管理", "网站后台", "内容管理", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        TreeNode 管理内容节点 = new TreeNode("管理内容", "管理内容" , "Images/home.gif");
        管理内容节点.SelectAction = TreeNodeSelectAction.Select;
        管理内容节点.NavigateUrl = "NeiRong/GuanLiNeiRong.aspx";
        管理内容节点.Target = "XinXi";
        管理内容节点.ToolTip = "_";
        TreeView1.Nodes.Add(管理内容节点);
        
        TreeNode 文章栏目节点 = new TreeNode("文章栏目", "文章栏目", "Images/folder.png");
        文章栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        文章栏目节点.ToolTip = "_1";
        TreeView1.Nodes.Add(文章栏目节点);
        初始化栏目(文章栏目节点, "文章", "WenZhang","w");
        
        TreeNode 图片栏目节点 = new TreeNode("图片栏目", "图片栏目", "Images/folder.png");
        图片栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        图片栏目节点.ToolTip = "_2";
        TreeView1.Nodes.Add(图片栏目节点);
        初始化栏目(图片栏目节点, "图片", "TuPian", "t");
        
        TreeNode 软件栏目节点 = new TreeNode("软件栏目", "软件栏目", "Images/folder.png");
        软件栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        软件栏目节点.ToolTip = "_3";
        TreeView1.Nodes.Add(软件栏目节点);
        初始化栏目(软件栏目节点, "软件", "RuanJian","r");
        
        TreeNode 音乐栏目节点 = new TreeNode("音乐栏目", "音乐栏目", "Images/folder.png");
        音乐栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        音乐栏目节点.ToolTip = "_4";
        TreeView1.Nodes.Add(音乐栏目节点);
        初始化栏目(音乐栏目节点, "音乐", "YinYue", "y");
        
        TreeNode 视频栏目节点 = new TreeNode("视频栏目", "视频栏目", "Images/folder.png");
        视频栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        视频栏目节点.ToolTip = "_5";
        TreeView1.Nodes.Add(视频栏目节点);
        初始化栏目(视频栏目节点, "视频", "ShiPin","s");
        /*
        TreeNode 小说栏目节点 = new TreeNode("小说栏目", "小说栏目", "Images/folder.png");
        小说栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        小说栏目节点.ToolTip = "_6";
        TreeView1.Nodes.Add(小说栏目节点);
        初始化栏目(小说栏目节点, "小说", "XiaoShuo","x");

        TreeNode 商品栏目节点 = new TreeNode("商品栏目", "商品栏目", "Images/folder.png");
        商品栏目节点.SelectAction = TreeNodeSelectAction.Expand;
        商品栏目节点.ToolTip = "_7";
        TreeView1.Nodes.Add(商品栏目节点);
        初始化栏目(商品栏目节点, "商品", "ShangPin", "sa");*/
    }

    private void 初始化栏目(TreeNode 节点,String 内容类型,String 内容地址,String 简称)
    {
        DataSet 数据 = new DataSet();
        SqlCommand 语句 = new SqlCommand("SELECT [ID],[栏目名称],[所属栏目],[是否拥有子栏目] FROM ["+程序.数据表前缀+"内容_栏目] WHERE [栏目类型]='" + 内容类型 + "' ORDER BY [ID]", 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, 内容类型+"栏目");


        增加下级节点(节点, 0, 数据,内容地址,简称);
    }

    private void 增加下级节点(TreeNode 节点, int 所属栏目, DataSet 数据,String 内容地址,String 简称)
    {
        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            if (Convert.ToInt32(行["所属栏目"]) != 所属栏目)
                continue;
            TreeNode 新节点 = new TreeNode(行["栏目名称"].ToString()+"(ID:"+行["ID"]+")", 行["栏目名称"].ToString(),"Images/"+(Convert.ToBoolean(行["是否拥有子栏目"])?"folder.png":"file.gif"));
            新节点.SelectAction = TreeNodeSelectAction.Select;
            新节点.ToolTip = 简称 + 行["ID"].ToString();
            新节点.Target = "XinXi";
            新节点.NavigateUrl = "NeiRong/FenLei"+内容地址+"NeiRongLieBiao.aspx?ID=" + 行["ID"];
            节点.ChildNodes.Add(新节点);
            增加下级节点(新节点, Convert.ToInt32(行["ID"]), 数据, 内容地址, 简称);
        }
    }
}
